API ReferenceCampaigns
Campaigns Shipping Methods List
List every shipping method on the campaign.
Authorization
oauth2 campaigns:readAuthorizationBearer <token>
Generate an Access Token through Settings > API Access for single store access or use the Authorization Code flow with your partner App Client ID. Use required permission scopes for API endpoint access. Example Authorization: Bearer 123
In: header
Scope: campaigns:read
Path Parameters
id*integer
Campaign ID.
Header Parameters
X-29next-API-Version*"2024-04-01"
Default
"2024-04-01"Value in
- "2024-04-01"
Response Body
application/json
curl -X GET "https://example.com/campaigns/0/shipping-methods/" \ -H "X-29next-API-Version: 2024-04-01"[ { "id": 0, "name": "string", "prices": [ { "currency": "str", "price": "string" } ], "shipping_method": "string" }]